Issue #8344 has been updated by Hiroshi SHIBATA.

Status changed from Assigned to Closed

Applied in changeset r46559.

----------
Revert "Revert "* lib/yaml.rb: Remove Psych::EngineManager [Bug #8344]""

syck-1.0.3 gem support this imcompatible changes.

This reverts commit r46102

----------------------------------------
Bug #8344: Status of Psych and Syck
https://bugs.ruby-lang.org/issues/8344#change-47378

* Author: Benoit Daloze
* Status: Closed
* Priority: Normal
* Assignee: Aaron Patterson
* Category: lib
* Target version: current: 2.2.0
* ruby -v: ruby 2.1.0dev (2013-04-28 trunk 40513) [x86_64-darwin10.8.0]
* Backport: 1.9.3: UNKNOWN, 2.0.0: REQUIRED
----------------------------------------
Hello,

The current state of YAML being Psych is still a bit unclear (see lib/yaml.rb).

I propose to document YAML as always being (=) Psych,
and give a tip about the syck gem which might be used with the Syck constant (but the YAML constant is always Psych).

Do we need to keep Psych::EngineManager? I guess for compatibility it is safer?
May I document it as deprecated so it might removed in a future version?

Related to #6163.



-- 
https://bugs.ruby-lang.org/